GrailsTestRuntimeConfigurator (Grails 2.4.4)
Date: 2014-10-28

Package: grails.test.runtime

## [Java] Class GrailsTestRuntimeConfigurator

- grails.test.runtime.GrailsTestRuntimeConfigurator

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsRuntimeConfigurator` | `BEAN_ID, CLASS_EDITOR_BEAN, CLASS_LOADER_BEAN, CUSTOM_EDITORS_BEAN, DATA_SOURCE_BEAN, DEVELOPMENT_SPRING_RESOURCES_XML, DIALECT_DETECTOR_BEAN, EXCEPTION_HANDLER_BEAN, GRAILS_INITIALIZING, GRAILS_URL_MAPPINGS, HIBERNATE_PROPERTIES_BEAN, MESSAGE_SOURCE_BEAN, MULTIPART_RESOLVER_BEAN, OPEN_SESSION_IN_VIEW_INTERCEPTOR_BEAN, SESSION_FACTORY_BEAN, SPRING_RESOURCES_CLASS, SPRING_RESOURCES_GROOVY, SPRING_RESOURCES_XML, TRANSACTION_MANAGER_BEAN, application, parent, pluginManager, webSpringConfig`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTestRuntimeConfigurator (GrailsApplication application, org.springframework.context.ApplicationContext parent)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `initializePluginManager()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsRuntimeConfigurator` | `configure, configure, configure, configureDomainOnly, createWebRuntimeSpringConfiguration, doPostResourceConfiguration, getPluginManager, initializeContext, initializePluginManager, loadExternalSpringConfig, loadSpringGroovyResources, loadSpringGroovyResourcesIntoContext, performPostProcessing, reconfigure, registerParentBeanFactoryPostProcessors, reloadSpringResourcesConfig, reset, setApplicationContext, setLoadExternalPersistenceConfig, setPluginManager`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsTestRuntimeConfigurator(GrailsApplication application, org.springframework.context.ApplicationContext parent)

  - ### Method Detail

    - #### @java.lang.Override protected void initializePluginManager()